package com.mortals.xhx.webflux.service;

import com.mortals.xhx.webflux.enums.FlowChatSceneEnum;
import com.mortals.xhx.webflux.factory.FlowChatContext;
import reactor.core.publisher.Flux;

public interface IFlowChat {

    FlowChatSceneEnum getFlowChatEnum();

    Flux<String> request(FlowChatContext flowChatContext);

    void stop(Long sessionId);
}
